%define name mplayerplug-in
%define ver 1.0pre2
%define mozilla_plugin_dir /usr/lib/mozilla/plugins
%define config_dir /etc
%{!?rh_ver:%define rh_ver %(cut -d' ' -f5 /etc/redhat-release )}

%define rel 1.%{rh_ver}

Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Browser/Plugin
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Packager: Michael A. Peters <mpeters@mac.com>
Source0: %{name}-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
rm -rf %buildroot && %{__mkdir} -p %buildroot%{mozilla_plugin_dir} && %{__mkdir} -p %buildroot%{config_dir}
%setup -n %{name}

%build
./configure
%{__make}

%install
%{__install} -m755 mplayerplug-in.so %buildroot%{mozilla_plugin_dir}
%{__install} -m755 mplayerplug-in.types %buildroot%{config_dir}
%{__install} -m755 mplayerplug-in.conf %buildroot%{config_dir}

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO
%{mozilla_plugin_dir}/mplayerplug-in.so
%{config_dir}/mplayerplug-in.conf
%{config_dir}/mplayerplug-in.types

%changelog
* Mon Oct 20 2003 Kevin DeKorte
  More fixes

* Thu Oct 16 2003 Kevin DeKorte
  v1.0pre2
  compatibility with mplayer 1.0pre2

* Fri Oct 03 2003 Kevin DeKorte
  v0.95
  True streaming support
  Improved playlist capability
  Improved status window
  Mplayer 0.92 is a prerequisite

* Wed Sep 10 2003 Kevin DeKorte
  Fix errors in 0.90
  Downloading feature disabled for now.

* Sun Sep 07 2003 Kevin DeKorte
  See ChangeLog for code changes

* Mon Mar 03 2003 Michael A. Peters <mpeters@mac.com>
- created spec file
